Bug 1974700 - CVE-2021-33910 systemd: uncontrolled allocation on the stack in function unit_name_path_escape leads to crash [rhel-8.5.0]
Summary: CVE-2021-33910 systemd: uncontrolled allocation on the stack in function unit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Jan Macku
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
: 1984488 (view as bug list)
Depends On:
Blocks: CVE-2021-33910
TreeView+ depends on / blocked
 
Reported: 2021-06-22 10:36 UTC by Riccardo Schirone
Modified: 2021-11-10 09:59 UTC (History)
8 users (show)

Fixed In Version: systemd-239-49.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1984299 (view as bug list)
Environment:
Last Closed: 2021-11-09 19:57:06 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:4469 0 None None None 2021-11-09 19:57:25 UTC

Description Riccardo Schirone 2021-06-22 10:36:12 UTC
rhel-8 tracking bug for systemd: see the bugs linked in the "Blocks" field of this bug for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes in the blocked bugs.

NOTE THIS ISSUE IS CURRENTLY EMBARGOED, DO NOT MAKE PUBLIC COMMITS OR COMMENTS ABOUT THIS ISSUE.

WARNING: NOTICE THAT REMOVING THE "SECURITY" GROUP FROM THIS TRACKER MAY BREAK THE EMBARGO.

For the Enterprise Linux security issues handling process overview see:
https://source.redhat.com/groups/public/product-security/content/product_security_wiki/eus_z_stream_and_security_bugs

NOTICE: THIS BUG HAS THE DEFAULT OWNER (systemd-maint) OVERRIDDEN BECAUSE IT WAS A MAILING LIST OR NON @redhat.com E-MAIL! PLEASE CONTACT secalert IF THIS CONFUSES YOU.

Comment 2 Lukáš Nykrýn 2021-07-21 10:46:08 UTC
fix merged to github master branch -> https://github.com/redhat-plumbers/systemd-rhel8/pull/197

Comment 3 Josh Boyer 2021-07-21 16:24:16 UTC
*** Bug 1984488 has been marked as a duplicate of this bug. ***

Comment 7 Carl George 🤠 2021-07-29 03:04:01 UTC
systemd-239-49.el8 has been exported to git.centos.org [0], built for CentOS Stream 8 [1], and pushed out to the mirrors.

[0] https://git.centos.org/rpms/systemd/c/812ca2406af1fd327e6971eadfe9bcb4df3db006?branch=c8s
[1] https://koji.mbox.centos.org/koji/buildinfo?buildID=18534

Comment 11 errata-xmlrpc 2021-11-09 19:57:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (systemd bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4469


Note You need to log in before you can comment on or make changes to this bug.